#include <sys/socket.h>
#include <netinet/in.h>
#include <sys/time.h>
#include <unistd.h>
#include <netdb.h>
//#include <fcntl.h>

#include "inetstream.hh"

using namespace std;

void inetstream::open(const string &host, int port)
{
    close();
    
    int plug;
    if((plug = socket(AF_INET,SOCK_STREAM,0)) < 0)return;
    
    struct hostent *HostName = gethostbyname(host.c_str());
    if(!HostName)return;
    
    struct sockaddr_in SocketName;
    SocketName.sin_family = AF_INET;
    SocketName.sin_port = htons(port);
    memcpy(&SocketName.sin_addr, HostName->h_addr, HostName->h_length);
    
    fd_set fds;    
    
    FD_ZERO(&fds);
    FD_SET(plug, &fds);
    
//  fcntl(plug, F_SETFL, fcntl(plug, F_GETFL) | O_NONBLOCK);

    if(connect(plug, (struct sockaddr *)&SocketName, sizeof(SocketName)))
    {
	    struct timeval tv = {10,0};
        if(select(plug+1, &fds,&fds,NULL, &tv) <= 0
        || connect(plug, (struct sockaddr *)&SocketName, sizeof(SocketName)) < 0)
        {
            std::close(plug);
            return;
        }
    }
    fd = plug;
}
