#include <iostream>
#include <unistd.h>
#include <ctime>

#include "db.hh"
#include "isdn.hh"

#include "config.h"

int main(int argc, const char *const *argv)
{
    time_t timetmp = time(0);
    cerr << "voicebox: Starting at " << ctime(&timetmp);
    
	int a = fork();
	
	argc = argc;
	
	if(!a)
		a = execl(VOICEBOXDIR "/voiceboxmaildaemon", argv[0], NULL);
	
	if(a < 0)
	{
		cerr << "voicebox: Aww, the world collapsed somehow!\n";
		return -1;
	}

	isdn i;
	
	db d1(SQL_HOST, SQL_USER, SQL_PASS);
	db d2(SQL_HOST, SQL_USER, SQL_PASS);
	d1.query("use voicebox");
	d2.query("use voicebox");
	
	i.open(ISDNDEVICE);
	i.init();
	i.setnumber(ISDNNUMBER);
	
	i.loop(d1, d2);
	
	i.close();
	
	return 0;
}
